import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class CodeComponent implements OnInit, OnChanges {
    private sanitizer;
    /**
     * The code to be rendered. For line-breaks, use "\n" or when written inside `` just a new line.
     * Tabs can be used via the \t character.
     */
    code: string;
    /**
     * The size of a tab in spaces. Default is 4.
     * This is used to replace \t characters in the code with the correct length.
     */
    tabSize: number;
    /**
     * This is displayed above the code. When empty, no header is displayed.
     */
    header: string;
    renderedCode: SafeHtml;
    constructor(sanitizer: DomSanitizer);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private renderCode;
    protected copyToClipboard(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CodeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CodeComponent, "block-code", never, { "code": { "alias": "code"; "required": true; }; "tabSize": { "alias": "tabSize"; "required": false; }; "header": { "alias": "header"; "required": false; }; }, {}, never, never, true, never>;
}
